<?php

    include_once "../bd/config.php";
    include '../navbar/narvbar.php';

    if(!isset($_GET["id"])) exit();
    $id = $_GET["id"];

    $coleccion = $bd->clientes;
    
    $clientes = $coleccion->findOne(
        [
            'cod_cliente'=>$id
        ]
    );

    if(!$clientes)
    {
        echo "¡No existe el producto con ese ID!";
        exit();
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Actualizar Cliente</title>
</head>
<body>
    <div class="container"> <br>
        <div class="col-xs-12">
            <div style="margin-top: 10px;">
                <div class="alert alert-success" style="width:500px">
                    Código del producto a actualizar: <?php echo $clientes->cod_cliente; ?>
                </div>
            </div> <br>
            <form method="post" action="update_cliente.php">
                <input type="hidden" name="cod_cliente" value="<?php echo $clientes->cod_cliente; ?>">			
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Nombre: </span>
                    </div>
                    <input type="text" class="form-control" name="nombres" id="nombres" value="<?php echo $clientes->nombres; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Apellidos: </span>
                    </div>
                    <input type="text" class="form-control" name="apellidos" id="apellidos" value="<?php echo $clientes->apellidos; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Dirección: </span>
                    </div>
                    <input type="text" class="form-control" name="direccion" id="direccion" value="<?php echo $clientes->direccion; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Teléfono: </span>
                    </div>
                    <input type="text" class="form-control" name="telefono" id="telefono" value="<?php echo $clientes->telefono; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Correo Electrónico: </span>
                    </div>
                    <input type="text" class="form-control" name="correo" id="correo" value="<?php echo $clientes->correo; ?>" required="ON">
                </div> <br>
                <div style="margin-top:10px">
                    <button class="btn btn-success">Actualizar</button>
                    <button class="btn btn-danger" href="./tabla_clientes.php">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
</body>
</html>