<?php

    include_once "../bd/config.php";
    include '../navbar/narvbar.php';

    if(!isset($_GET["id"])) exit();
    $id = $_GET["id"];
    $coleccion = $bd->categorias;
    $categorias = $coleccion->findOne(
        [
            'codcategoria'=>$id
        ]
    );

    if(!$categorias)
    {
        echo "¡No existe el producto con ese ID!";
        exit();
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Actualizar Categoría</title>
</head>
<body>
    <div class="container"> <br>
        <div class="col-xs-12">
            <div style="margin-top: 10px;">
                <div class="alert alert-success" style="width:500px">
                    Código de la categoría a actualizar: <?php echo $categorias->codcategoria; ?>
                </div>
            </div> <br>
            <form method="post" action="update_cate.php">
                <input type="hidden" name="codcategoria" value="<?php echo $categorias->codcategoria; ?>">			
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Nombre: </span>
                    </div>
                    <input type="text" class="form-control" name="categoria" id="categoria" value="<?php echo $categorias->categoria; ?>" required="ON">
                </div> <br>
                <div style="margin-top:10px">
                    <button class="btn btn-success">Actualizar</button>
                    <button class="btn btn-danger" href="./tabla_categoria.php">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
</body>
</html>