<?php

    include_once "../bd/config.php";
    include '../navbar/narvbar.php';

    if(!isset($_GET["id"])) exit();
    $id = $_GET["id"];
    $coleccion = $bd->productos;
    $productos = $coleccion->findOne(
        [
            'codproducto'=>$id
        ]
    );

    if(!$productos)
    {
        echo "¡No existe el producto con ese ID!";
        exit();
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Actualizar Producto</title>
</head>
<body>
    <div class="container"> <br>
        <div class="col-xs-12">
            <div style="margin-top: 10px;">
                <div class="alert alert-success" style="width:500px">
                    Código del producto a actualizar: <?php echo $productos->codproducto; ?>
                </div>
            </div> <br>
            <form method="post" action="update.php">
                <input type="hidden" name="codproducto" value="<?php echo $productos->codproducto; ?>">			
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Nombre del producto: </span>
                    </div>
                    <input type="text" class="form-control" name="nombre" id="nombre" value="<?php echo $productos->nombre; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Descripción del producto: </span>
                    </div>
                    <input type="text" class="form-control" name="descripcion" id="descripcion" value="<?php echo $productos->descripcion; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Precio del producto: </span>
                    </div>
                    <input type="text" class="form-control" name="precio" id="precio" value="<?php echo $productos->precio; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">ID Proveedor: </span>
                    </div>
                    <input type="text" class="form-control" name="idproveedor" id="idproveedor" value="<?php echo $productos->idproveedor; ?>" required="ON">
                </div> <br>
                <div style="margin-top:10px">
                    <button class="btn btn-success">Actualizar</button>
                    <button class="btn btn-danger" href="./tabla_productos.php">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
</body>
</html>