<?php

    include_once "../bd/config.php";
    include '../navbar/narvbar.php';

    if(!isset($_GET["id"])) exit();
    $id = $_GET["id"];
    $coleccion = $bd->proveedores;
    $proveedores = $coleccion->findOne(
        [
            'codprov'=>$id
        ]
    );

    if(!$proveedores){
        echo "¡No existe el proveedor con ese ID!";
        exit();
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Actualizar Proveedor</title>
</head>
<body>
    <div class="container"> <br>
            <div style="margin-top: 10px;">
                <div class="alert alert-success" style="width:500px">
                    Código del proveedor a actualizar: <?php echo $proveedores->codprov; ?>
                </div>
            </div> <br>
        <form method="POST" action="upd_proveedor.php">
            <input type="hidden" name="codprov" value="<?php echo $proveedores->codprov; ?>">
            <div class="input-group mb-3">  
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">Proveedor: </span>
                </div>
                <input type="text" class="form-control" name="nombre" id="nombre" value="<?php echo $proveedores->nombre ?>" required="ON">
            </div> <br>
            <div class="input-group mb-3">  
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">Teléfono: </span>
                </div>
                <input type="text" class="form-control" name="telefono" id="telefono" value="<?php echo $proveedores->telefono ?>" required="ON">
            </div> <br>
            <div class="input-group mb-3">  
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">Dirección: </span>
                    <textarea type="text" class="form-control" id="direccion" name="direccion" cols="100" rows="5" class="form-control" required="ON"> <?php echo $proveedores->direccion ?></textarea>
                </div>
            </div> <br>
            <div class="input-group mb-3">  
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">Correo: </span>
                </div>
                <input type="text" class="form-control" name="correo" id="correo" value="<?php echo $proveedores->correo ?>" required="ON">
            </div> <br>
            <div>
                <input class="btn btn-success" type="submit" value="Actualizar">
                <a class="btn btn-danger" href="./tabla_proveedor.php">Cancelar</a>
            </div>
        </form>
    </div>
</body>

</html>

