<?php

    include_once "../bd/config.php";
    include '../navbar/narvbar.php';

    if(!isset($_GET["id"])) exit();
    $id = $_GET["id"];
    $coleccion = $bd->ventas;
    $ventas = $coleccion->findOne(
        [
            'cod_venta'=>$id
        ]
    );

    if(!$ventas)
    {
        echo "¡No existe el producto con ese ID!";
        exit();
    }

    $DataProv = $bd->proveedores;
    $consulta1 = $DataProv->find([]);

    $DataCate = $bd->categorias;
    $consulta2 = $DataCate->find([]);

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Actualizar Producto</title>
</head>
<body>
    <div class="container"> <br>
        <div class="col-xs-12">
            <div style="margin-top: 10px;">
                <div class="alert alert-success" style="width:500px">
                    Código del producto a actualizar: <?php echo $ventas->cod_venta; ?>
                </div>
            </div> <br>
            <form method="post" action="update_ventas.php">
                <input type="hidden" name="cod_venta" value="<?php echo $ventas->cod_venta; ?>">			
                <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Producto: </span>
                    </div>
                    <input type="text" class="form-control" name="producto" id="producto" value="<?php echo $ventas->producto; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Cantidad: </span>
                    </div>
                    <input type="text" class="form-control" name="cantidad" id="cantidad"value="<?php echo $ventas->cantidad; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Descripción del producto: </span>
                        <textarea type="text" class="form-control" value="" id="descripcion" name="descripcion" cols="100" rows="5" class="form-control" required="ON">
                            <?php echo $ventas->descripcion; ?>
                        </textarea>
                    </div>
                </div> <br>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Precio venta: </span>
                    </div>
                        <input type="decimal" name="precio_venta" class="form-control" value="<?php echo $ventas->precio_compra; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Precio Compra: </span>
                    </div>
                        <input type="decimal" name="precio_compra" class="form-control" value="<?php echo $ventas->precio_venta; ?>" required="ON">
                </div> <br>
                <div class="input-group mb-3">  
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Fecha de venta: </span>
                    </div>
                    <input type="date" class="form-control" name="fecha_venta" id="fecha_venta" value="<?php echo $ventas->fecha_venta; ?>" required="ON">
                </div> <br>
                <div style="margin-top:10px">
                    <button class="btn btn-success">Actualizar</button>
                    <button class="btn btn-danger" href="./tabla_ventas.php">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
</body>
</html>